Update shipping options
curl --request POST \
--url https://api.marzipan.co/v1/account/subscriptions/{subscriptionId}/shipping \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shippingOption": "delivery",
"shippingAddress": "aa11bb22-cc33-dd44-ee55-ff6677889900",
"pickupLocation": null
}
'import requests
url = "https://api.marzipan.co/v1/account/subscriptions/{subscriptionId}/shipping"
payload = {
"shippingOption": "delivery",
"shippingAddress": "aa11bb22-cc33-dd44-ee55-ff6677889900",
"pickupLocation": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
shippingOption: 'delivery',
shippingAddress: 'aa11bb22-cc33-dd44-ee55-ff6677889900',
pickupLocation: null
})
};
fetch('https://api.marzipan.co/v1/account/subscriptions/{subscriptionId}/shipping', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"message": "Unauthenticated."
}{
"message": "Subscription not found"
}{
"message": "<string>",
"errors": {}
}Subscriptions
Update shipping options
Update the preferred shipping option for the subscription. Choose delivery (with a saved customer address) or pickup (with a shipping method / pickup location).
POST
/
account
/
subscriptions
/
{subscriptionId}
/
shipping
Update shipping options
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is the account token returned from the Login endpoint.
Path Parameters
Subscription ID
Body
application/json
Preferred shipping option
Available options:
pickup, delivery Customer address ID. Required when shipping_option is delivery
Shipping method / pickup location ID. Required when shipping_option is pickup
Response
Shipping options updated
The response is of type object.
⌘I

